package catalystError

import "github.com/go-errors/errors"

//// Errors generated by Catalyst's business logic ////

//

type DuplicateEntry struct {
	Err *errors.Error
}

func (de DuplicateEntry) clientError() {}

func (de DuplicateEntry) Error() string {
	return de.Err.Error()
}

func (de DuplicateEntry) ErrorStack() string {
	return de.Err.ErrorStack()
}

//

type DeletedEntry struct {
	Err *errors.Error
}

func (de DeletedEntry) clientError() {}

func (de DeletedEntry) Error() string {
	return de.Err.Error()
}

func (de DeletedEntry) ErrorStack() string {
	return de.Err.ErrorStack()
}

//

type UnknownEntry struct {
	Err *errors.Error
}

func (nf UnknownEntry) clientError() {}

func (nf UnknownEntry) Error() string {
	return nf.Err.Error()
}

func (nf UnknownEntry) ErrorStack() string {
	return nf.Err.ErrorStack()
}

//

type UnknownPod struct {
	Err *errors.Error
}

func (nf UnknownPod) clientError() {}

func (nf UnknownPod) Error() string {
	return nf.Err.Error()
}

func (nf UnknownPod) ErrorStack() string {
	return nf.Err.ErrorStack()
}

//

type UnknownContainer struct {
	Err *errors.Error
}

func (nf UnknownContainer) clientError() {}

func (nf UnknownContainer) Error() string { return nf.Err.Error() }

func (nf UnknownContainer) ErrorStack() string { return nf.Err.ErrorStack() }

//

type ContainerNotStarted struct {
	Err *errors.Error
}

func (ns ContainerNotStarted) serverError() {}

func (ns ContainerNotStarted) Error() string { return ns.Err.Error() }

func (ns ContainerNotStarted) ErrorStack() string { return ns.Err.ErrorStack() }
